1. Get rid of all advertisements and get unlimited access to documents by upgrading to Premium Membership. Upgrade to Premium Now and also get a Premium Badge!

system.data.oracleclient requires Oracle client software version 8.1.7 or greater

Discussion in 'General' started by haluhan, Jan 12, 2012.

  1. haluhan

    haluhan Guest

    I have setup oracle client 10.2.0. on MS server 2008 R2 64 bit. I get the following error i the asp Dot Net application.

    system.data.oracleclient requires Oracle client software version 8.1.7 or greater

    How can I resolve this?
     

    Attached Files:

  2. Sadik

    Sadik Community Moderator Forum Guru

    Messages:
    1,906
    Likes Received:
    252
    Trophy Points:
    1,455
    Few Questions before I can help

    Which Oracle Client version are you using? oracle client 10.2.0.2?

    Do you have multiple Oracle Homes defined?

    This error is almost always caused because of permission issues on MS servers because the IUSR_ or ASPNET machine user can't access appropriate Oracle Client DLL's. Try to add Everyone / Read for Oracle home and all subfolders and restart IIS - this should solve the problem.